Bug 74807 - Firewire (IEEE1394) SMP hard locks
Summary: Firewire (IEEE1394) SMP hard locks
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-01 20:38 UTC by Phil Messenger
Modified: 2008-08-01 16:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Phil Messenger 2002-10-01 20:38:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020921

Description of problem:
If I hot plug a Firewire device on either of my SMP machines, I get hard locks.
This happens every time. Iterestingly, if I plug the device in whilst the
machine is powered down, it works as expected. 

I experienced this problem in the 2.4.10 days. At that time, the problem was
caused by dodgy locking in sbp2.c. I haven't had time to investigate in any
depth this time round.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. power machine on
2. plug IEE1394 device in
3. paff. Hard lock, no panic, just hard lock.
	

Additional info:

Bog standard TI chipset cards, Via based dual processor P3 system and 760MPX
dual Athlon MP system.

Comment 1 Eric Smith 2002-10-15 07:46:55 UTC
I have the same problem whether the firewire devices are hot-plugged or are
present before power-up.  Asus dual-Athlon motherboard using 760MPX chipset,
with two 1394 controllers, a generic OHCI card and a Creative Labs Audigy.
Three Maxtor drives, two CD-R, and a DVD-R on the generic OHCI card, nothing
plugged into the Audigy.


Comment 2 R P Herrold 2002-10-23 06:27:25 UTC
Looks like # 76303 as to the second comment

Comment 3 Bugzilla owner 2004-09-30 15:39:57 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.